## ucf 3.0010

=== debian/changelog ===
ucf (3.0010) unstable; urgency=low

  * Fix a typo in the fix for the important bug in the last release, so
    arguably this too is an important fix. This is a one character patch,
    thanks to Niko Tyni.                                   Closes: #497658

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 03 Sep 2008 09:17:58 -0500

ucf (3.009) unstable; urgency=low

  * There was an issue that using the sdiff or diff options of ucf would
    either error out, or would hang due to a comminication snafu with
    debconf. This fix handles exceptional sizes of diff output, correcting
    both issues. This is an important bug fix meant for Lenny.
                                                   Closes: #486702, #490034
  * The current Catalan translation of UCF has a few usability problems,
    namely the same translation for all 3 different diff options. The
    result is that you are presented with the same option twice in many
    cases, and can't tell the difference between them. This i18n update
    fixes that issue.                                       Closes: #497391
  * Updated Standards-Version: No changes.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 02 Sep 2008 21:24:53 -0500

ucf (3.008) unstable; urgency=low

  * Updated ucf man page. Fixes: "ucf(1) incorrectly claims that ucf has
    bug". Documentation bug.                        Closes: #496489
  * ucf: [INTL:fi] Updated Finnish translation of the debconf templates
                                                    Closes: #489174

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 30 Aug 2008 03:19:44 -0500

ucf (3.007) unstable; urgency=low

  * Move to the new make -j friendly targets in debian/rules
  * Bug fix: "man ucf typo: the times interaction", thanks to A. Costa
                                                        (Closes: #480064).
  * Recorded the new VCS repository location for this package (moved to a
    public git repository)

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 30 May 2008 10:47:51 -0500

ucf (3.006) unstable; urgency=low

  * Bug fix: "ucf: fails to catch conflicts on three-way merging", thanks
    to Niko Tyni.                                       Closes: #473473

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 02 Apr 2008 22:13:21 -0500

=== debian/control ===
Source: ucf
VCS-Git: git://git.debian.org/~srivasta/debian/ucf.git
VCS-Browser: http://git.debian.org/git/users/srivasta/debian/ucf.git
Section: utils
Priority: optional
Maintainer: Manoj Srivastava <srivasta@debian.org>
Build-Depends-Indep: po-debconf, gettext
Standards-Version: 3.8.0.0

Package: ucf
Architecture: all
Depends: debconf (>= 1.5.19) | cdebconf, coreutils (>= 5.91)
Description: Update Configuration File: preserve user changes to config files.
 Debian policy mandates that user changes to configuration files must be 
 preserved during package upgrades. The easy way to achieve this behavior
 is to make the configuration file a 'conffile', in which case dpkg
 handles the file specially during upgrades, prompting the user as
 needed.
 .
 This is appropriate only if it is possible to distribute a default
 version that will work for most installations, although some system
 administrators may choose to modify it. This implies that the
 default version will be part of the package distribution, and must
 not be modified by the maintainer scripts during installation (or at
 any other time). 
 .
 This script attempts to provide conffile-like handling for files that
 may not be labelled conffiles, and are not shipped in a Debian package,
 but handled by the postinst instead. This script allows one to
 maintain files in /etc, preserving user changes and in general
 offering the same facilities while upgrading that dpkg normally
 provides for 'conffiles'.
 .
 Additionally, this script provides facilities for transitioning a
 file that had not been provided with conffile-like protection to come
 under this schema, and attempts to minimize questions asked at
 installation time. Indeed, the transitioning facility is better than the
 one offered by dpkg while transitioning a file from a non-conffile to
 conffile status.

## ucf 3.0014

=== debian/changelog ===
ucf (3.0014) unstable; urgency=low

  * [bd4d0af]: Short circuit if we are purging (no need to invoke debconf)
    Also, since we do not have two arguments when we are purging, move the
    new file processing to after the point where we exit in purge
    mode.
    Bug fix: "subprocess post-removal script returned error exit status
    20", thanks to Bastian Blank                         (Closes: #512903).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Jan 2009 11:05:52 -0600

ucf (3.0013) unstable; urgency=low

  * [99736cc]: Move the debconf stuff _after_ command line parsing
    If it is done earlier, the DEBCONF_OK flag is not set yet. This is
    majorly bad.                             Closes: Bug#512905 
    Bug fix: "ucf was run from a maintainer script that uses debconf
    [...]", thanks to Michael Prokop (Closes: #512832).
  * [67e17f1]: Load confmodule to define db_* commands even when !DEBCONF_OK
    It is OK to load confmodule, which allows db_* commands to be defined,
    since this is not what was causing the previous failure. We should
    not, however, try to load the template files, which _did_ actually
    cause the failure.
    Bug fix: "command not found", thanks to Michael Prokop (Closes: #512833).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Jan 2009 01:48:09 -0600

ucf (3.0012) unstable; urgency=low

  * [29fbb69]: reset diff question after use so contents are not written to disk
    Debconf does not use world readable "temporary internal
    files" as Manoj hypothesises. Data is only written to disk if it is
    left in the debconf database when the frontend (ucf) exits.
    Tightening the permissions on the debconf database would break
    several things including use of debconf-show in reportbug.

    From 27b3c41c531016ffa506987bf4a856345992a204
    Mon Sep 17 00:00:00 2001
    From: Joey Hess <joey@gnu.kitenet.net>
    Date: Wed, 21 Jan 2009 13:03:55 -0500
    Subject: [PATCH] reset diff question after use so contents are not
      written to disk
                                                         Closes: Bug#511893
  * [9eb5118]: ucf uses debconf even if called without --debconf-ok and hangs
    ucf, even if is called without --debconf-ok, uses debconf and
    hangs if db_stop had been already called, since it tries to load
    /usr/share/debconf/confmodule and loads the ucf debconf templates.
    This is a minimal change, and just moves the test of DEBCONF_OK
    earlier.  Thanks to  Robert Luberda for the report and suggested fix.
                                                          Closes: Bug#511031 
  * [26a61b8]: Start issueing a diagnostic if ucf is forced to not use debconf
    If ucf is called without the --debconf-ok switch, and
    debconf is started, issue a diagnostic, and use old style promping
    on the command line. This is a policy violation, and soon the non-
    debconf prompting shall be removed. 
  * [3ce2104]: Rearrange code for readability, and add comment blocks
    Signed-off-by: Manoj Srivastava <srivasta@debian.org>

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 23 Jan 2009 11:48:09 -0600

ucf (3.0011) unstable; urgency=low

  * [debiandir:8949365] Fix VCS-Browser URL
  * [debiandir:ede9c73] Do not depend on cdebconf as an alternative
    ucf relies heavily on debconf to do its job, and thus depends on it. Way
    back when, it was told to me that we arte going to move to cdebconf,
    which at some point will be the preferred way. In the meantime, to
    facilitate the future transition, we should all depend on
       debconf | cdebconf
    to make life in the future easier.
    
    Now, as of version 3.005, ucf started using a feaure that has long been a
    part of cdebconf, but was only ported to debconf in version 1.5.19, so
    now ucf started depending on:
      debconf (>= 1.5.19) | cdebconf
    and this is where trouble beings.
    
    Suppose a machine running stable has cdebconf installed. It also has an
    old version of debconf installed, say, one that is older than
    1.5.19. Since cdebconf was installed, the dependency requirements are
    fully satisfied, so debconf was not updated.
    
    Now, ucf follows the instructions in debconf-devel(7) -- and that just
    uses debconf, the older version which does nothave support for the
    feature ucf needs. Boom, there goes the update.
  
    This is a grave bug.
  
    Bug fix: "ucf fails on db_x_loadtemplatefile", thanks to Wichert
    Akkerman                                                     (Closes: #507043). 
  * Bug fix: "typo in changelog.gz ucf ", thanks to  Paul Menzel (Closes: #497762).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 29 Nov 2008 11:43:53 -0600

## ucf 3.0016

=== Makefile ===
############################ -*- Mode: Makefile -*- ###########################
## Makefile<ucf> --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Tue Nov 18 22:00:27 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Sun Apr 16 16:32:23 2006
## Last Machine Used: glaurung.internal.golden-gryphon.com
## Update Count     : 6
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
###############################################################################
prefix    =
package   = ucf

ETCDIR    = $(prefix)/etc
BINDIR    = $(prefix)/usr/bin
DEBLIBDIR = $(prefix)/var/lib/$(package)
DEBDOCDIR = $(prefix)/usr/share/doc/$(package)
MANDIR    = $(prefix)/usr/share/man/
MAN1DIR   = $(MANDIR)/man1
MAN5DIR   = $(MANDIR)/man5

# install commands
install_file    := /usr/bin/install -p    -o root -g root -m 644
install_program := /usr/bin/install -p    -o root -g root -m 755
make_directory  := /usr/bin/install -p -d -o root -g root -m 755

all build: check

check:
	bash -n  ucf
	bash -n  ucfr
	perl -wc ucfq
	bash -n  debian/preinst
	bash -n  debian/postinst
	bash -n  debian/postrm

install:
	$(make_directory)   $(BINDIR)
	$(make_directory)   $(ETCDIR)
	$(make_directory)   $(MAN1DIR)
	$(make_directory)   $(MAN5DIR)
	$(make_directory)   $(DEBLIBDIR)
	$(make_directory)   $(DEBDOCDIR)/examples
	$(install_program)  ucf               $(BINDIR)
	$(install_file)     ucf.1             $(MAN1DIR)
	gzip -9fq           $(MAN1DIR)/ucf.1
	$(install_program)  ucfr              $(BINDIR)
	$(install_file)     ucfr.1            $(MAN1DIR)
	gzip -9fq           $(MAN1DIR)/ucfr.1
	$(install_program)  ucfq              $(BINDIR)
	$(install_file)     ucfq.1            $(MAN1DIR)
	gzip -9fq           $(MAN1DIR)/ucfq.1
	$(install_program)  lcf               $(BINDIR)
	$(install_file)     lcf.1             $(MAN1DIR)
	gzip -9fq           $(MAN1DIR)/lcf.1
	$(install_file)     ucf.conf.5        $(MAN5DIR)
	gzip -9fq           $(MAN5DIR)/ucf.conf.5 
	$(install_file)     ucf.conf          $(ETCDIR)
	$(install_file)     debian/changelog  $(DEBDOCDIR)/changelog
	gzip -9frq          $(DEBDOCDIR)
# make sure the copyright file is not compressed
	$(install_file)     debian/copyright  $(DEBDOCDIR)/copyright
	$(install_file)     examples/postinst $(DEBDOCDIR)/examples/
	$(install_file)     examples/postrm   $(DEBDOCDIR)/examples/

clean distclean:
	@echo nothing to do for clean

=== debian/changelog ===
ucf (3.0016) unstable; urgency=low

  * [bd1dfcb]: Substitute the ucf/show_diff DIFF variable contents to
    protect sensitive data. The previous fix said "reset diff question
    after use so contents are not written to disk". Unfortunately this is
    not enough (or even needed): the sensitive data is not stored in the
    value of ucf/show_diff, but in the DIFF variable associated with it.
    Bug fix: "ucf stores diff (of private files) in debconf (world readable)"
    Closes: Bug#511893 Author: Niko Tyni <ntyni@debian.org>
  * [f5cbbdf]: Show the differences on the first try
    Until 3.0012, ucf/show_diff was reset just before showing it to the
    user. This would unset the 'seen' flag properly. However, moving the
    db_reset call after db_input made the latter skip the note on the
    first time if the 'seen' flag was already set. To make things worse,
    Debconf::ConfModule::finish() sets the 'seen' flag for all the
    questions it has handled before exiting, so the flag was always true
    after debconf exited. Simply unsetting the flag before db_input fixes
    this.
    Bug fix: "skips differences on the first try", thanks to Niko Tyni
                                                          (Closes: #514071).
  * [debiandir:dce60af]: Update the location of the copyright file
    Since I have not elected to license this under later versions of the
    GPL, the license link in the copyright fle must change.
  * Updated lintian overrides to shut lintian up.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 06 Feb 2009 13:48:44 -0600

ucf (3.0015) unstable; urgency=low

  * [e63973f]: Use which, not type -a -p
  
    Although the 'type' command is used by /usr/bin/ucf, a 'type' built-in
    command cannot be used by posh. It is safer to use '/bin/which'
    contained in debianutils. 
  
    Bug fix: "Shell which cannot use the type command", thanks to Jonny
    Closes: Bug#513755

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 03 Feb 2009 10:13:20 -0600

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ucf
 VCS-Git: git://git.debian.org/~srivasta/debian/ucf.git
-VCS-Browser: http://git.debian.org/git/users/srivasta/debian/ucf.git
+VCS-Browser: http://git.debian.org/?p=users/srivasta/debian/ucf.git
 Section: utils
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
@@ -9,7 +9,7 @@
 
 Package: ucf
 Architecture: all
-Depends: debconf (>= 1.5.19) | cdebconf, coreutils (>= 5.91)
+Depends: debconf (>= 1.5.19), coreutils (>= 5.91)
 Description: Update Configuration File: preserve user changes to config files.
  Debian policy mandates that user changes to configuration files must be 
  preserved during package upgrades. The easy way to achieve this behavior

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile; coding: utf-8 -*- ###########################
## rules --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Fri Nov 14 12:33:34 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Fri Mar 12 12:23:15 2004
## Last Machine Used: glaurung.internal.golden-gryphon.com
## Update Count     : 71
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
## arch-tag: 9a5063f4-1e20-4fff-b22a-de94c1e3d954
## 
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##
###############################################################################

# Include dpkg-architecture generated variables
include debian/common/archvars.mk

# Set variables with information extracted from control and changelog files
include debian/common/pkgvars.mk

# variables useful for perl packages
include debian/common/perlvars.mk

# we use debconf
include debian/common/debconf.mk

# Install commands
include debian/common/install_cmds.mk

include debian/local-vars.mk

include debian/common/copt.mk

include debian/common/automake.mk



all:
	@echo nothing to be done

include debian/common/targets.mk

include debian/local.mk


#Local variables:
#mode: makefile
#End:

## ucf 3.0018ubuntu1

=== debian/changelog ===
ucf (3.0018ubuntu1) karmic; urgency=low

  * On a three-way merge conflict, output the error message using a debconf
    error and then return to the debconf menu - instead of throwing a
    non-zero error code and causing the package install to abort.  Anything
    the user needs to do to fix up the broken merge can be done as well
    from the debconf menu as from after the install failure, and this way we
    don't have a logjam of failed package installs on dist-upgrade.
    LP: #269539, #293687.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 25 Aug 2009 16:10:29 -0700

ucf (3.0018) unstable; urgency=low

  * Update the package priority, it is now standard, not optional.
  * [d984e79]: Do not restore $@ until after sanity checks.
    Bug fix: "Need exactly two arguments, got 3", thanks to Kurt Roeckx
    (Closes: #520626).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 21 Mar 2009 23:39:48 -0500

ucf (3.0017) unstable; urgency=low

  * [989de4e]: No longer use a non debconf method to prompt the user
    Also, only run bash directly is the script has a terminal backend.
    Failing that, if DISPLAY is set, try to start a terminal emulator.
    If there is no tty and no DISPLAY, gibber and do nothing.
  * [6e5ba1b]: Save and restore command line arguments after parsing
    This way, when the script is called again under debconf, the command
    line arguments are still around, and have not been eliminated during
    parsing. And no, getopt was not to blame, ucf was nuking the
    commandline itself.
    Bug fix: "ucf was run from a maintainer script that uses debconf
    [...]", thanks to Michael Prokop                      (Closes: #512832).
  * [ea1c15d]: Stash any configuration file less than 25KB in size
    Also, allow the three way merge options whenever there is a stashed
    version of the file, whether or not the package maintainer has
    explicitly asked for a three way capability. This way, are closer to
    making three way capabilities the default, except for large
    configuration files, where large is defined as 25 KB.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 21 Mar 2009 00:02:03 -0500

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 VCS-Git: git://git.debian.org/~srivasta/debian/ucf.git
 VCS-Browser: http://git.debian.org/?p=users/srivasta/debian/ucf.git
 Section: utils
-Priority: optional
-Maintainer: Manoj Srivastava <srivasta@debian.org>
+Priority: standard
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Manoj Srivastava <srivasta@debian.org>
 Build-Depends-Indep: po-debconf, gettext
-Standards-Version: 3.8.0.0
+Standards-Version: 3.8.1.0
 
 Package: ucf
 Architecture: all

## ucf 3.0025

=== debian/changelog ===
ucf (3.0025) unstable; urgency=low

  * [ucf 39603a0] Added russian translation.
    Bug fix: "[INTL:ru] Russian debconf templates translation update",
    thanks to Yuri Kozlov                            (Closes: #551163).
  * Bug fix: "[INTL:fr] French debconf templates translation update",
    thanks to Christian Perrier                      (Closes: #551650).
  * Bug fix: "[INTL:eu] ucf Basque translation", thanks to Piarres Beobide
                                                     (Closes: #552804).
  * Bug fix: "[INTL:de] German translation for ucf (debconf)", thanks to
    Erik Schanze                                     (Closes: #553398).
  * Bug fix: "[INTL:gl] ucf debconf translation update", thanks to marce
                                                     (Closes: #554630).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Nov 2009 14:48:08 -0600

ucf (3.0024) unstable; urgency=low

  * Bug fix: "[INTL:ja] updated Japanese debconf translation", thanks to
    Kenshi Muto                                       (Closes: #551080).
  * Bug fix: "[INTL:sv] Swedish strings for ucf3 debconf", thanks to
    Martin Bagge                                      (Closes: #550869).
  * Bug fix: "[l10n] Updated Czech translation of ucf debconf messages",
    thanks to Miroslav Kure                           (Closes: #550870).
  * Bug fix: "[INTL:fi] Updated Finnish translation of the debconf
    templates", thanks to Esko Arajärvi               (Closes: #550878).
  * Bug fix: "[INTL:vi] Vietnamese debconf templates translation update",
    thanks to Clytie Siddall                          (Closes: #550944).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Oct 2009 13:40:46 -0500

ucf (3.0023) unstable; urgency=low

  * Bug fix: "[INTL:vi] Vietnamese debconf templates translation update",
    thanks to Clytie Siddall                           (Closes: #548014).
  * Bug fix: "Missleading dialogue text", thanks to Christian Meyer
                                                       (Closes: #546711).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 Oct 2009 01:42:27 -0500

ucf (3.0022) unstable; urgency=low

  * Bug fix: "[INTL:ja] updated Japanese debconf translation", thanks to
    Kenshi Muto                                        (Closes: #544048).
  * Bug fix: "[INTL:eu] ucf debconf templates Basque translation update",
    thanks to Piarres Beobide                          (Closes: #544142).
  * Bug fix: "[l10n] Updated Czech translation of ucf debconf messages",
    thanks to Miroslav Kure                            (Closes: #544326).
  * Bug fix: "[INTL:sv] Swedish strings for ucf debconf", thanks to Martin
    Bagge                                              (Closes: #544595).
  * Bug fix: "[INTL:ru] Russian debconf templates translation update",
    thanks to Yuri Kozlov                              (Closes: #544735).
  * Updated Catalan translation, thanks to Jordi Mallach Pérez
  * Bug fix: "[INTL:de] German translation for ucf (debconf)", thanks to
    Erik Schanze                                       (Closes: #546243).
  * Bug fix: "[INTL:fr] French debconf templates translation update",
    thanks to Christian Perrier                        (Closes: #546309).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 14 Sep 2009 10:35:59 -0500

ucf (3.0021) unstable; urgency=low

  * [f70b2c6]: Handle errors in three way merges This fix is one that
    was first implemented in Ubuntu, and has only been lightly modified.
    The problem was the handling of merge failures in three way merges,
    ucf used to just pass the error through to the maintainer script,
    and so a merge failure resulted in a maintainer script failure,
    which could cascade in a upgrade. However, trapping the error, and
    showing it via debconf, and then returning to the ucf debconf menu
    allows users to resolve this issue as they please. This patch
    implements that. 
    Bug fix: "three-way-merge errors cause upgrade pains", thanks to Steve
    Langasek                                               (Closes: #543593).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 27 Aug 2009 00:23:16 -0500

ucf (3.0020) unstable; urgency=low

  * [cdeb86b]: Sleep for 3 seconds after emitting warning
    When there is no tty present (which means we cannot attach to the
    keyboard), and there is no DISPLAY set, which means we cannopt fire
    off another window, we cannot fork off a shell. This is not a bug,
    really, but merely a reality. This patch sleeps for a couple of
    seconds so that the error message we dump on STDERR can be read.
    Bug fix: "ucf can't start subshell", thanks to Matthew Gabeler-Lee
                                                         (Closes: #543367).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 24 Aug 2009 13:47:48 -0500

ucf (3.0019) unstable; urgency=low

  * Disable invalid Italian translation that collides with the translation
    for another string, thanks to Steve Langasek. This was pointed out by
    an Ubuntu user, and the fix comes from Ubuntu. 
    Bug fix: "Italian translation fails to distinguish between two
    options", thanks to Steve Langasek                   (Closes: #543161).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 22 Aug 2009 23:08:03 -0500

## ucf 3.0025+nmu1

=== debian/changelog ===
ucf (3.0025+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Italian (Luca Bruno).  Closes: #559554
    - Catalan (Jordi Mallach).  Closes: #588304
    - Danish (Joe Hansen).  Closes: #588369
    - Portuguese (Américo Monteiro).  Closes: #588980
    - Spanish (Javier Fernandez-Sanguino).  Closes: #592174

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 Aug 2010 08:55:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 VCS-Browser: http://git.debian.org/?p=users/srivasta/debian/ucf.git
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Manoj Srivastava <srivasta@debian.org>
+Maintainer: Manoj Srivastava <srivasta@debian.org>
 Build-Depends-Indep: po-debconf, gettext
-Standards-Version: 3.8.1.0
+Standards-Version: 3.8.3.0
 
 Package: ucf
 Architecture: all

## ucf 3.0025+nmu1ubuntu1

=== debian/changelog ===
ucf (3.0025+nmu1ubuntu1) natty; urgency=low

  * Use dpkg-query --control-path instead of hard-coding a path to our
    debconf templates file, for compatibility with multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 28 Feb 2011 21:48:32 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 VCS-Browser: http://git.debian.org/?p=users/srivasta/debian/ucf.git
 Section: utils
 Priority: standard
-Maintainer: Manoj Srivastava <srivasta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Manoj Srivastava <srivasta@debian.org>
 Build-Depends-Indep: po-debconf, gettext
 Standards-Version: 3.8.3.0

## ucf 3.0025+nmu2

=== debian/changelog ===
ucf (3.0025+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Brazilian Portuguese (Flamarion Jorge).  Closes: #594786
    - Dutch; (Jeroen Schot).  Closes: #622789

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Apr 2011 08:27:12 +0200

## ucf 3.0025+nmu2ubuntu1

=== debian/changelog ===
ucf (3.0025+nmu2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Use dpkg-query --control-path instead of hard-coding a path to our
      debconf templates file, for compatibility with multiarch.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 04 May 2011 10:59:06 -0400

## ucf 3.0025+nmu3

=== debian/changelog ===
ucf (3.0025+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * No longer hardcode debconf templates file location
    Closes: #615931
  * Fix pending l10n issues. Debconf translations:
    - Slovak (Slavko).  Closes: #639443
    - Polish (Michał Kułach).  Closes: #661480

 -- Christian Perrier <bubulle@debian.org>  Thu, 05 Apr 2012 08:25:42 +0200

## ucf 3.0027+nmu1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 ## Description      : 
 ## 
 ###############################################################################
-prefix    =
+prefix    = $(DESTDIR)
 package   = ucf
 
 ETCDIR    = $(prefix)/etc
@@ -34,9 +34,9 @@
 	bash -n  ucf
 	bash -n  ucfr
 	perl -wc ucfq
-	bash -n  debian/preinst
-	bash -n  debian/postinst
-	bash -n  debian/postrm
+	bash -n  debian/ucf.preinst
+	bash -n  debian/ucf.postinst
+	bash -n  debian/ucf.postrm
 
 install:
 	$(make_directory)   $(BINDIR)

=== debian/changelog ===
ucf (3.0027+nmu1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Set urgency to medium for RC bugfix.
  * Fix VCS-Git URL to not point to an outdated repository.

  [ Mathieu Parent ]
  * Put the Cwd at the right place.  (Closes: #711055)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Jul 2013 02:59:15 +0200

ucf (3.0027) unstable; urgency=low

  * Use dpkg-query --control-path instead of hard-coding a path to our
    debconf templates file, for compatibility with multiarch. The patch
    had apparently gotten reverted somewhere.
  * Now that wheezy has been released, moving to unstable.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 18 May 2013 16:26:58 -0700

ucf (3.0026) experimental; urgency=low

  * Acknowledge NMUs. Thanks, bubulle.
  * Bug fix: "starting a new shell fails from console", thanks to EmaRsk
    (Closes: #574266). The fix was provided by Aaron Hope <asbestos@xemed.com>
  * Bug fix: "$PAGER ignored", thanks to David Fries (Closes: #596452).
  * Bug fix: "ucf fails when VERBOSE is set to 1 in /etc/ucf.conf", thanks
    to Aljoscha Lautenbach (Closes: #577127). The same bug was also
    repprted as  "--verbose option changes return code", thanks to Frank
    Küster (Closes: #631231).
  * Bug fix: "Small typo in ucf help", thanks to Tomasz Muras
    (Closes: #577582).
  * Bug fix: "ucfr exits successfully despite syntax error", thanks to
    Sven Joachim (Closes: #573455).
  * Bug fix: "ucfr should collapse duplicate slashes in paths", thanks to
    Olivier Berger (Closes: #638187).
  * Bug fix: "should be tagged Multi-Arch: foreign", thanks to
    hriase1@post-ist-da.de (Closes: #670711).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 24 Apr 2013 03:10:05 -0700

=== debian/control ===
Source: ucf
VCS-Git: git://anonscm.debian.org/users/srivasta/debian/ucf.git
VCS-Browser: http://git.debian.org/?p=users/srivasta/debian/ucf.git
Section: utils
Priority: standard
Maintainer: Manoj Srivastava <srivasta@debian.org>
Build-Depends-Indep: po-debconf, gettext, debhelper (>= 9.0.0)
Standards-Version: 3.9.4.0

Package: ucf
Architecture: all
Multi-Arch: foreign
Depends: debconf (>= 1.5.19), coreutils (>= 5.91), ${misc:Depends}
Description: Update Configuration File(s): preserve user changes to config files
 Debian policy mandates that user changes to configuration files must be
 preserved during package upgrades. The easy way to achieve this behavior
 is to make the configuration file a 'conffile', in which case dpkg
 handles the file specially during upgrades, prompting the user as
 needed.
 .
 This is appropriate only if it is possible to distribute a default
 version that will work for most installations, although some system
 administrators may choose to modify it. This implies that the
 default version will be part of the package distribution, and must
 not be modified by the maintainer scripts during installation (or at
 any other time).
 .
 This script attempts to provide conffile-like handling for files that
 may not be labelled conffiles, and are not shipped in a Debian package,
 but handled by the postinst instead. This script allows one to
 maintain files in /etc, preserving user changes and in general
 offering the same facilities while upgrading that dpkg normally
 provides for 'conffiles'.
 .
 Additionally, this script provides facilities for transitioning a
 file that had not been provided with conffile-like protection to come
 under this schema, and attempts to minimize questions asked at
 installation time. Indeed, the transitioning facility is better than the
 one offered by dpkg while transitioning a file from a non-conffile to
 conffile status.

## ucf 3.0030+deb8u1

=== debian/changelog ===
ucf (3.0030+deb8u1) jessie-security; urgency=high

  * Non-maintainer by the Debian ELTS team.
  * Prevent a potential command-injection vulnerability by initialising a
    variable that is passed, unfiltered, to the "eval" shell function.
    (Closes: #1089015)
  * Add a debian/salsa-ci.yml.

 -- Chris Lamb <lamby@debian.org>  Thu, 16 Jan 2025 16:58:16 +0000

ucf (3.0030) unstable; urgency=low

  * Updated german translations. (Closes: #748975).
  * Bug fix: #748975: "[L10N,DE] ucf: updated german debconf translation",
    thanks to Holger Wansing

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 May 2014 16:16:43 -0700

ucf (3.0029) unstable; urgency=medium

  * When asking how to handle an upodate to a locally modified
    configuration file, ucf does not tell the user where the new version
    of the configuration file lives. This makes it hard to take action
    when opening a new shell. This commit updates the debconf templates to
    include that information.  (Closes: #616486, #747295, #747299)
    (Closes: #747310, #747312, #747335, #747346, #747371, #747450)
    (Closes: #747533, #748148, #748178, #748371).
  * ucf uses getopt(1) to process command line arguments. The debug
    options take a an optional level. For short options, If the option has
    an optional argument, it must be written directly after the option
    character if present. For long options, the optional argument must be
    written directly after the long  option  name, separated by `=', if
    present. This is now documented in the manual page.
  * Document that ucf --purge can be used to make ucf forget about the
    state of the previous decisions for a configuration file, so that when
    the package is updated or reinstalled, ucf will ask again about
    disposition,  (Closes: #566277).
  * Bug fix #616486: "The start a shell option gives user no clue about
    the location of maintainer version of config file", thanks to Robert
    Luberda
  * Bug fix #747295: "[INTL:sv] Swedish strings for ucf debconf", thanks
    to Martin Bagge
  * Bug fix #747299: "[l10n:eu] ucf 3.0028: updated Basque translation",
    thanks to Iñaki Larrañaga Murgoitio
  * Bug fix #747310: "[INTL:fr] French debconf templates translation
    update", thanks to Christian Perrier
  * Bug fix #747312: "[INTL:pt] Portuguese translation for debconf
    messages (update)", thanks to Américo Monteiro
  * Bug fix #747335: "[INTL:ru] Russian debconf templates translation
    update", thanks to Yuri Kozlov
  * Bug fix #747346: "[INTL:fi] Updated Finnish translation of the debconf
    templates", thanks to Esko Arajärvivim Portuguese
  * Bug fix #747371: "[INTL:ja] update Japanese debconf translation",
    thanks to Kenshi Muto.
  * Bug fix #747450: "[INTL:da] Danish translation of the debconf
    templates ucf", thanks to Joe Dalton
  * Bug fix #747533: "[INTL:sk] Slovak po-debconf translation", thanks to
    Slavko
  * Bug fix #566277: "no renewed question b/c changed config files",
    thanks to arne anka
  * Bug fix #748148: "[INTL:pl] Updated Polish debconf translation",
    thanks to Michał Kułach
  * Bug fix #748178: "[INTL:pt_BR] Brazilian Portuguese debconf templates
    translation", thanks to Adriano Rafael Gomes
  * Bug fix #748371: "[l10n] Updated Czech translation of ucf debconf
    messages", thanks to Miroslav Kure

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 17 May 2014 16:00:42 -0700

ucf (3.0028) unstable; urgency=medium

  * Ack the NMU.
  * Bug fix: "Should not claim files differ if $newsum and $destsum are
    identical", thanks to Frank Küster                 (Closes: #633391).
  * Differentiate between the file being registered in the registry and
    the RE used to look it up. Account for the fact that the file being
    registered might be a s symlink, so follow links for the
    registry. Since registering symlinks is broken already, and we should
    be registering files and not symlinks anyway. ucf already did follow
    the symbolic links, it is only ucfr that needed changing.
  * Bug fix: "database corruption if ucfr is used on symlinks instead of
    files", thanks to Andreas Beckmann (Closes: #724457).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 26 Apr 2014 15:45:35 -0700

## ucf 3.0036

=== debian/changelog ===
ucf (3.0036) unstable; urgency=low

  * Incorporate enhancement from Robert Luberda <robert@debian.org>
  * Bug fix: "diff screen is ugly, unreadable and counterintuitive",
    thanks to Robert Luberda                      (Closes: #817982).
  * Updated the Standards version to 3.9.7. No changes needed.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 16 Mar 2016 13:57:43 -0700

ucf (3.0035+local1) UNRELEASED; urgency=medium

  * Display the file permissions and ownerships information either in diff
    label lines or in additional lines prepended to sdiff output not to
    hide the actuall file differences by the whole output of /usr/bin/stat
    command (Closes: #817982). As a side effect, fix a bug introduced in
    3.0034 that caused ucf to fail on not yet existing destination files.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Mar 2016 14:38:46 +0100

ucf (3.0035) unstable; urgency=low

  * Minor typo fixing release.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 14 Feb 2016 22:18:52 -0800

ucf (3.0034) unstable; urgency=low

  * Bug fix: "show differences with respect to permissions and ownership
    of old/new file", thanks to Paul Gevers. Now uses /usr/bin/stat from
    coreutils to show the metadata about the old and the new files before
    the actual diffs. (Closes: #812321).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 13 Feb 2016 20:54:23 -0800

ucf (3.0033) unstable; urgency=low

  * Bug fix: "ucf breaks installation of texlive-base (basename: missing
    operand)", thanks to Andreas Metzler. This has been a long standing
    bug, unmasked by the cleanup done last upload. When purging, there is
    no new file, just a destination file that needs to be removed. So,
    this commit makes no action on new-file when purging.  (Closes: #812402).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 23 Jan 2016 13:52:29 -0800

ucf (3.0032) unstable; urgency=low

  * Ran shellcheck on all the shell scripts, and fixed most of the issues
    found.
  * Bug fix: "[INTL:nl] Dutch translation of debconf messages", thanks to
    Frans Spiesschaert (Closes: #812354).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 Jan 2016 18:23:28 -0800

ucf (3.0031) unstable; urgency=low

  * New bugfixing release
  * Bug fix: "[INTL:es] Spanish translation of debconf messages", thanks
    to Matias A. Bellone                                (Closes: #752959).
  * Bug fix: "incorrectly processed VERBOSE&amp;DEBUG in config", thanks
    to YK. Correctly send the verbose output to STDERR, not STDOUt.
                                                         (Closes: #762857).
  * Bug fix: "[INTL:nl] Dutch translation of debconf messages", thanks to
    Frans Spiesschaert (Closes: #763459).
  * Update the policy version to the latest. No changes were required.
  * Update the copyright file to follow DEP-5 format.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 05 Nov 2015 12:25:03 -0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: ucf
 VCS-Git: git://anonscm.debian.org/users/srivasta/debian/ucf.git
-VCS-Browser: http://git.debian.org/?p=users/srivasta/debian/ucf.git
+VCS-Browser: http://anonscm.debian.org/gitweb/?p=users/srivasta/debian/ucf.git
 Section: utils
 Priority: standard
 Maintainer: Manoj Srivastava <srivasta@debian.org>
 Build-Depends-Indep: po-debconf, gettext, debhelper (>= 9.0.0)
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.7
 
 Package: ucf
 Architecture: all

## ucf 3.0036+deb9u1

=== debian/changelog ===
ucf (3.0036+deb9u1) stretch-security; urgency=high

  * Non-maintainer by the Debian ELTS team.
  * Prevent a potential command-injection vulnerability by initialising a
    variable that is passed, unfiltered, to the "eval" shell function.
    (Closes: #1089015)
  * Add a debian/salsa-ci.yml.

 -- Chris Lamb <lamby@debian.org>  Thu, 16 Jan 2025 16:59:02 +0000

## ucf 3.0038

=== debian/changelog ===
ucf (3.0038) unstable; urgency=medium

  * A bug fixing and translation adding release.
  * Bug fix: "Vcs-Git URL is 404-compliant", thanks to Sven Joachim
    (Closes: #890647).
  * Bug fix: "there should be a --purge-all option", thanks to Marc Haber
    (Closes: #878893). Documented how to loop over ucfq to remove/purge
    all the conffiles.
  * Bug fix: "[INTL:ru] Russian debconf templates translation update",
    thanks to Yuri Kozlov (Closes: #890643).
  * Bug fix: "[INTL:pt] Updated Portuguese translation - debconf
    messages", thanks to Américo Monteiro (Closes: #890708).
  * Bug fix: "[INTL:da] Danish translation of the debconf templates ucf",
    thanks to Joe Dalton (Closes: #890739).
  * Bug fix: "[l10n] update Japanese debconf translation", thanks to
    Kenshi Muto (Closes: #890802).
  * Bug fix: "[INTL:pt_BR] Brazilian Portuguese debconf templates
    translation", thanks to Adriano Rafael Gomes (Closes: #891165).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Feb 2018 16:58:23 -0800

ucf (3.0037) unstable; urgency=medium

  * A new bugfixing release.
  * Bug fix: "Typo in ucfr(1)", thanks to Carsten Leonhardt (Closes:
    #835171).
  * Bug fix: "[PATCH] diffs are rendered with broken spacing", thanks to
    Dima Kogan (Closes: #862607).
  * Bug fix: "offers 3-way merge even without --three-way option", thanks
    to Marc Haber (Closes: #879558).
  * Bug fix: "Corrupt its database if root&#39;s bashrc has GREP_OPTIONS
    env", thanks to Adam Cecile &lt;adam.cecile@hitec.lu&gt; (Closes:
    #845625).
  * Bug fix: "please consider removing the experimental tag from
    --three-way", thanks to Marc Haber (Closes: #879641).
  * Bug fix: "manpage ucf(1) refers ancient releases", thanks to Marc
    Haber (Closes: #878891).
  * Bug fix: "Bad UI on prompts", thanks to Peter Palfrader (Closes:
    #870474). We already had a title that mentioned the conffile
    name. Added it to the beginning of the running text as well. If the
    title is not displayed, then the denconf frontend should be improved.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Feb 2018 16:07:03 -0800

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: ucf
-VCS-Git: git://anonscm.debian.org/users/srivasta/debian/ucf.git
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=users/srivasta/debian/ucf.git
+Vcs-Git: https://anonscm.debian.org/git/users/srivasta/debian/ucf.git
+Vcs-Browser: https://anonscm.debian.org/git/users/srivasta/debian/ucf.git
 Section: utils
 Priority: standard
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Build-Depends-Indep: po-debconf, gettext, debhelper (>= 9.0.0)
-Standards-Version: 3.9.7
+Build-Depends-Indep: po-debconf, gettext, debhelper (>= 11)
+Standards-Version: 4.1.3
 
 Package: ucf
 Architecture: all
 Multi-Arch: foreign
-Depends: debconf (>= 1.5.19), coreutils (>= 5.91), ${misc:Depends}
+Depends: debconf (>= 1.5.19), coreutils (>= 5.91), ${misc:Depends},
+         sensible-utils
 Description: Update Configuration File(s): preserve user changes to config files
  Debian policy mandates that user changes to configuration files must be
  preserved during package upgrades. The easy way to achieve this behavior

## ucf 3.0038+nmu1

=== debian/changelog ===
ucf (3.0038+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Obvious lintian fixes:
    -vcs-obsolete-in-debian-infrastructure
  * Update Debconf translations:
    -es from Matias Bellone (Closes: #891524)
    -fr from jean-pierre giraud (Closes: #891545)
    -de from Holger Wansing (Closes: #898079)

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 14 Dec 2018 09:51:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ucf
-Vcs-Git: https://anonscm.debian.org/git/users/srivasta/debian/ucf.git
-Vcs-Browser: https://anonscm.debian.org/git/users/srivasta/debian/ucf.git
+#Vcs-Git: https://anonscm.debian.org/git/users/srivasta/debian/ucf.git
+#Vcs-Browser: https://anonscm.debian.org/git/users/srivasta/debian/ucf.git
 Section: utils
 Priority: standard
 Maintainer: Manoj Srivastava <srivasta@debian.org>

## ucf 3.0038+nmu1+deb10u1

=== debian/changelog ===
ucf (3.0038+nmu1+deb10u1) buster-security; urgency=high

  * Non-maintainer by the Debian ELTS team.
  * Prevent a potential command-injection vulnerability by initialising a
    variable that is passed, unfiltered, to the "eval" shell function.
    (Closes: #1089015)
  * Add a debian/salsa-ci.yml.

 -- Chris Lamb <lamby@debian.org>  Thu, 16 Jan 2025 17:02:07 +0000

## ucf 3.0038+nmu2

=== debian/changelog ===
ucf (3.0038+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:56:34 +0800
